procedure w_skyedit(input,response,resprej,outlist)

string  input = ""              {prompt="Input spectra to sky subtract"}
string  response = ""           {prompt="Input response function"}
real    resprej = 0.2           {prompt="Rejection threshold for fibre response"}
file    outlist = ""            {prompt="File for good aperture numbers"}

file    log                     {prompt="Logfile"}

begin

      file goodaps,badaps,temp1,temp2,in,resp
      real w1,w2

      # Make some temporary files

      goodaps = mktemp("tmp$iraf")
      badaps = mktemp("tmp$iraf")
      temp1 = mktemp("tmp$iraf")
      temp2 = mktemp("tmp$iraf")

      # Determine the spectral range where all of the sky rows overlap.
      # If the spectral limits are negative, then no sky beams exist.

      in = input
      slist(in,apertures="",long_header=no,>temp1)
      specrng(temp1) | scan(w1,w2)
      if (w1 < 0.0 && w2 < 0.0) {
         sleep (> goodaps)
         delete(temp1,verify=no)
      } else {
         delete(temp1,verify=no)

         # Now check the response function and see which ones have
         # a low response

         resp = response
         slist(resp,apertures="",long_header=no,>temp1)
         chkresp(resp,temp1,resprej,goodaps,badaps)
         delete(temp1,verify=no)

         # Now copy the input file within the wavelength range defined 
         # by specrng

         scopy(in,temp2,w1=w1,w2=w2,apertures="",bands="",beams="0",
            apmodulus=0,format="multispec",renumber=no,offset=0,clobber=no,
            merge=no,rebin=yes,verbose=no,>>"dev$null")
         slist(temp2,apertures="",long_header=no,>temp1)

         # Do the automatic edit

         skyedit(temp2,temp1,goodaps,badaps,interactive=wyf_red.w_interact,
            logfile=log)
         out = outlist
         if (access(out))
            delete(out,verify=no)
         rename(goodaps,out,field="all")
         delete(badaps,verify=no)
         delete(temp1,verify=no)
         imdelete(temp2,verify=no)
      }
end
