#{ WYFFOS package definition

# Load packages

noao
imred
ccdred
onedspec

s1 = envget ("min_lenuserarea")
if (s1 == "")
    reset min_lenuserarea = 300000
else if (int (s1) < 300000)
    reset min_lenuserarea = 300000
 
package wyffos

# Main reduction tasks

task    fibinfo         = "wyffos$x_wyffos.e"
task    fixhead         = "wyffos$x_wyffos.e"
task    mag1count       = "wyffos$mag1count.cl"
task    transm          = "wyffos$transm.cl"
task    wyfgeom         = "wyffos$x_wyffos.e"
task    wyf_dofibers    = "wyffos$wyf_dofibers.cl"
task    wyf_red         = "wyffos$wyf_red.cl"
task    preproc         = "wyffos$preproc.cl"

# Psets

task    idpars          = "wyffos$idpars.par"
task    cenpars         = "wyffos$cenpars.par"
task    wyfpars         = "wyffos$wyfpars.par"

# Hide the Psets and wyf_dofibers

hidetask    cenpars
hidetask    idpars
hidetask    wyfpars
hidetask    wyf_dofibers

# Hidden utility tasks (SPP programs)

task    arcstat,
        autoarc,
        chkresp,
        collect,
        fitrest,
        headid,
        matchem,
        skyedit,
        specrng,
        stddir,
        w_limits        = "wyffos$x_wyffos.e"

hidetask    arcstat
hidetask    autoarc
hidetask    chkresp
hidetask    collect
hidetask    fitrest
hidetask    headid
hidetask    matchem
hidetask    skyedit
hidetask    specrng
hidetask    stddir
hidetask    w_limits

# Hidden utility tasks (CL scripts) and psets.

task    apscat1         = "wyffos$apscat1.par"
task    apscat2         = "wyffos$apscat2.par"
task    apscript        = "wyffos$x_apextract.e"
task    stdname         = "wyffos$stdname.cl"
task    w_arcrefs       = "wyffos$w_arcrefs.cl"
task    w_arcref1       = "wyffos$w_arcref1.cl"
task    w_arcref2       = "wyffos$w_arcref2.cl"
task    w_arcref3       = "wyffos$w_arcref3.cl"
task    w_doarcs        = "wyffos$w_doarcs.cl"
task    w_ends          = "wyffos$w_ends.cl"
task    w_fibresponse   = "wyffos$w_fibresponse.cl"
task    w_hdcomp        = "wyffos$w_hdcomp.cl"
task    w_listonly      = "wyffos$w_listonly.cl"
task    w_mksafe        = "wyffos$w_mksafe.cl"
task    w_preccd        = "wyffos$w_preccd.cl"
task    w_proc          = "wyffos$w_proc.cl"
task    w_qends         = "wyffos$w_qends.cl"
task    w_red1lo        = "wyffos$w_red1lo.cl"
task    w_skyedit       = "wyffos$w_skyedit.cl"
task    w_skysub        = "wyffos$w_skysub.cl"
task    w_tippex        = "wyffos$w_tippex.cl"
task    wyf_red1        = "wyffos$wyf_red1.cl"

hidetask    apscat1
hidetask    apscat2
hidetask    apscript
hidetask    w_arcrefs     
hidetask    w_arcref1
hidetask    w_arcref2   
hidetask    w_arcref3
hidetask    w_doarcs      
hidetask    w_ends        
hidetask    w_fibresponse 
hidetask    w_hdcomp
hidetask    w_listonly    
hidetask    w_mksafe
hidetask    w_preccd
hidetask    w_proc        
hidetask    w_qends
hidetask    w_red1lo
hidetask    w_skyedit
hidetask    w_skysub      
hidetask    w_tippex
hidetask    wyf_red1

clbye
